Skip to content
View as Markdown

GET List Tags​

GET
/tags

Retrieve a paginated list of tags. Optionally includes subscriber counts and a separate array of all tags for dropdown/select usage.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

search

Search tags by title, slug, or description.

Type
string
sort_by

Column to sort by.

Type
string
Valid values
"id""title""slug""created_at"
Default
"id"
sort_order

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
per_page

Number of tags per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1
exclude_counts

If set to any truthy value, subscriber counts will not be included for each tag.

Type
boolean
all_tags

If set to any truthy value, includes a flat all_tags array with id, title, and slug of every tag (useful for dropdowns).

Type
boolean

Responses​

Paginated list of tags.

application/json
JSON
{
"tags": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"title": "string",
"slug": "string",
"description": "string",
"created_at": "string",
"updated_at": "string",
"subscribersCount": 0
}
]
},
"all_tags": [
{
"id": "string",
"title": "string",
"slug": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI